summaryrefslogtreecommitdiffstats
path: root/network/plasma-nm-openconnect
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2016-01-02 23:43:31 -0600
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-17 09:40:16 +0700
commit6219c583197f5ada77b4a006e77132da03aefad7 (patch)
tree52c4525dab14b91fc8412557a3a8910625407ba0 /network/plasma-nm-openconnect
parent736e0a7956a260d838e4fe30981eabb7c44c1bb5 (diff)
downloadslackbuilds-6219c583197f5ada77b4a006e77132da03aefad7.tar.gz
slackbuilds-6219c583197f5ada77b4a006e77132da03aefad7.tar.xz
network/plasma-nm-openconnect: Added (OpenConnect support for plasma-nm)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/plasma-nm-openconnect')
-rw-r--r--network/plasma-nm-openconnect/README4
-rw-r--r--network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild119
-rw-r--r--network/plasma-nm-openconnect/plasma-nm-openconnect.info10
-rw-r--r--network/plasma-nm-openconnect/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/network/plasma-nm-openconnect/README b/network/plasma-nm-openconnect/README
new file mode 100644
index 0000000000..73d9ce36a9
--- /dev/null
+++ b/network/plasma-nm-openconnect/README
@@ -0,0 +1,4 @@
+plasma-nm-openconnect (OpenConnect support for plasma-nm)
+
+This package contains the OpenConnect support for KDE's plasma-nm
+networking applet.
diff --git a/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild b/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild
new file mode 100644
index 0000000000..b18d42109b
--- /dev/null
+++ b/network/plasma-nm-openconnect/plasma-nm-openconnect.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for plasma-nm-openconnect
+
+# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=plasma-nm-openconnect
+VERSION=${VERSION:-0.9.3.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=plasma-nm
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# We'll need a place to put things temporarily
+NOPKG=$PKG/NOPKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DKDE_PLATFORM_FEATURE_DISABLE_DEPRECATED=TRUE \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DKDE4_BUILD_TESTS=OFF \
+ -DSITE=\"slackbuilds.org\" \
+ ..
+ make
+ make install DESTDIR=$NOPKG
+cd ..
+
+# This is probably overkill, because we only need a couple of files, but...
+for file in $(find $NOPKG -name "*openconnect*") ; do
+ mkdir -p $PKG/$(dirname $file | sed "s,^$NOPKG,,")
+ cp -a $file $PKG/$(dirname $file | sed "s,^$NOPKG,,")
+done
+
+# We don't need this any more
+rm -rf $NOPKG $PKG/usr/share/locale
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/plasma-nm-openconnect/plasma-nm-openconnect.info b/network/plasma-nm-openconnect/plasma-nm-openconnect.info
new file mode 100644
index 0000000000..a802df6280
--- /dev/null
+++ b/network/plasma-nm-openconnect/plasma-nm-openconnect.info
@@ -0,0 +1,10 @@
+PRGNAM="plasma-nm-openconnect"
+VERSION="0.9.3.6"
+HOMEPAGE="https://quickgit.kde.org/?p=plasma-nm.git"
+DOWNLOAD="http://download.kde.org/stable/plasma-nm/plasma-nm-0.9.3.6.tar.xz"
+MD5SUM="ab94be59919eca6bf89fc1930cf3dd39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openconnect"
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"
diff --git a/network/plasma-nm-openconnect/slack-desc b/network/plasma-nm-openconnect/slack-desc
new file mode 100644
index 0000000000..625f0dcf45
--- /dev/null
+++ b/network/plasma-nm-openconnect/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plasma-nm-openconnect: plasma-nm-openconnect (OpenConnect support for plasma-nm)
+plasma-nm-openconnect:
+plasma-nm-openconnect: This package contains the OpenConnect support for KDE's plasma-nm
+plasma-nm-openconnect: networking applet.
+plasma-nm-openconnect:
+plasma-nm-openconnect:
+plasma-nm-openconnect:
+plasma-nm-openconnect:
+plasma-nm-openconnect:
+plasma-nm-openconnect:
+plasma-nm-openconnect: